DECLARE
	@records INT,
	@systemUserId uniqueidentifier,
	@roleId uniqueidentifier

SET @records = (SELECT COUNT(r.Name) as 'count' from EbsMetadata.SystemUserSecurityRole usr
join EbsMetadata.SystemUser u on usr.systemuserid = u.systemuserid
join EbsMetadata.SecurityRole r on usr.securityroleid = r.securityroleid
where u.DisplayName like '%Guest%'
and r.Name like '%B2C%')

IF @records = 0 
	SET @systemUserId = (select systemuserid from EbsMetadata.SystemUser where DisplayName like '%Guest%')
	SET @roleId = (select securityroleid from EbsMetadata.SecurityRole where Name like '%B2C%')
	insert into EbsMetadata.SystemUserSecurityRole (SystemUserSecurityRoleid, systemuserid, securityroleid)
	values (newid(), @systemUserId, @roleId)

